pegrep(1)

Name
pegrep — multi-line perl-regexp grep

Syntax
pegrep pattern file...

Description
Greps in a set of files for a given Perl regular expression pattern, spanning multiple lines, and shows the result with one line before and after for context.

Examples
	pegrep '}[\s\n]*else[\s\n]*{' $(find . -type f -name "*.cpp")

See also
hxtools(7), pesubst(1)